# GTFS-RT: following transit vehicles in real time
This repository contains a script that can be used to host a bokeh server.
This bokeh server will show the live locations of busses, trams, metros, and ferrys in the Netherlands (updated every 30 seconds).
Note that unfortunately only the data that is provided is shown, which means that some agencies are not shown.

# Prerequisites
One should have a folder called gtfs-data, containing a file called routes.txt.
This file can be obtained from by downloading gtfs.ovapi.nl/nl/gtfs-nl.zip and unzipping the file.

# Start the script
```
bokeh serve main.py
```

# Usage
Once the script is started, it can be accessed through localhost:5006/main.
